Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

SAP Groups APIs

Fetching List of Groups from SAP

search

Please Note:

Fetching List of Groups from SAP

Use the post /v1/cckm/sap/get-groups API to fetch the SAP groups based on a SAP connection on the CipherTrust Manager.

Syntax

curl -k '<IP>/api/v1/cckm/sap/get-groups' -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "connection": "sap-connection",\n  "top": 100,\n  "skip": 0\n}' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authentication token.
connection string Name or ID of the SAP connection.
top integer Number of records to view. Default is 100.
skip integer Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sap/get-groups' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJmMDYzMTBmYy02NGVhLTQ4OTgtYmI3Mi05YTIwYzBkOTUxYzIiLCJzdWIiOiJsb2NhbHxmYzg2MjhkMC1mNjczLTRhMWYtYjQ3Yi1hM2I0ODVhMWU3OTQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiYzk4YzkyZTUtMjM0OS00YzU5LWJlZWYtODc2OTQ4ZjIwNzM0Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImQ4YzkxOGU0LTFiNjAtNGY2MS05M2NjLTdjYWUwYjE1Y2ZiYyIsImlhdCI6MTYzMzMxOTE4NywiZXhwIjoxNjMzMzE5NDg3fQ.SPNqpZ92HKpNR55XBEEOMJeJN4DnpGMZY21-anM-NBE' -H 'Content-Type: application/json' --data-binary $'{\n  "connection": "sap-connection",\n  "top": 100,\n  "skip": 0\n}' --compressed

Example Response

{
    "value": [
        {
            "application": "S4H",
            "id": "489ac34d-3e9c-4be3-8c1c-2c383bf31461",
            "keystoreId": "1e40864c-1b58-44b1-8654-a3a893705fb3",
            "meta": {
                "created": "2021-09-17T04:44:16",
                "creatorId": "69f41156-5197-490d-aa5f-f1ffb0ab4e66",
                "creatorName": "creator.name@xyz.com",
                "totalKeys": 83,
                "totalUsers": 1
            },
            "name": "Gooey_1",
            "description": "group for gooey team",
            "keystore": {}
        },
        {
            "application": "S4H",
            "id": "55ab04df-7f5c-4c14-a64a-5a638a312ed7",
            "keystoreId": "1e40864c-1b58-44b1-8654-a3a893705fb3",
            "meta": {
                "created": "2021-09-17T04:45:14",
                "creatorId": "69f41156-5197-490d-aa5f-f1ffb0ab4e66",
                "creatorName": "creator.name@xyz.com",
                "totalKeys": 29,
                "totalUsers": 1
            },
            "name": "Gooey_2",
            "description": "group for gooey team",
            "keystore": {}
        },
        {
            "application": "BTP",
            "id": "d00ea261-62c7-409a-b9d5-4e0f288fad87",
            "keystoreId": "1e40864c-1b58-44b1-8654-a3a893705fb3",
            "meta": {
                "created": "2021-09-27T11:58:38",
                "creatorId": "69f41156-5197-490d-aa5f-f1ffb0ab4e66",
                "creatorName": "creator.name@xyz.com",
                "totalKeys": 0,
                "totalUsers": 1
            },
            "name": "testg",
            "description": "testg",
            "keystore": {}
        }
    ],
    "count": 0
}

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.